Subject: bug#15010: closed (Re: bug#15010: 24.3; mark more checkdoc options as 'safe-local-variable)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Aug 2013 01:22:02 +0000

Your bug report

#15010: 24.3; mark more checkdoc options as 'safe-local-variable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15010: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15010
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15010: 24.3; mark more checkdoc options as 'safe-local-variable
From: Stefan Monnier <[email-masked]>
To: Jörg Walter <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Aug 2013 21:21:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> I suggest that in checkdoc.el, some more variables can be set as 'safe-local-
> variable by default. Right now I use these additions:

>      (put 'checkdoc-verb-check-experimental-flag 'safe-local-variable 
> 'booleanp)

>      (put 'checkdoc-spellcheck-documentation-flag 'safe-local-variable 
> 'booleanp)
>      (put 'checkdoc-ispell-list-words 'safe-local-variable 'checkdoc-list-of-
> strings-p)

>      (put 'checkdoc-proper-noun-regexp 'safe-local-variable 'stringp)
>      (put 'checkdoc-common-verbs-regexp 'safe-local-variable 'stringp)

OK, added.

I really think this is just a stop-gap, tho.

        Stefan

Subject: 24.3; mark more checkdoc options as 'safe-local-variable
From: Jörg Walter <[email-masked]>
To: [email-masked]
Date: Fri, 02 Aug 2013 21:42:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I suggest that in checkdoc.el, some more variables can be set as 'safe-local-
variable by default. Right now I use these additions:

     (put 'checkdoc-verb-check-experimental-flag 'safe-local-variable 
'booleanp)

     (put 'checkdoc-spellcheck-documentation-flag 'safe-local-variable 
'booleanp)
     (put 'checkdoc-ispell-list-words 'safe-local-variable 'checkdoc-list-of-
strings-p)

     (put 'checkdoc-proper-noun-regexp 'safe-local-variable 'stringp)
     (put 'checkdoc-common-verbs-regexp 'safe-local-variable 'stringp)

Having these as file-local variable by default would be a major convenience 
when doing batch checking of Lisp files. Right now I need to include the above 
statements on the command line.

-- 
Mit freundlichen Grüßen,

	Jörg Walter